goptions reset=all;
goptions cback=white ftext=triplex colors=(black) noprompt
         vsize=5.0 in hsize=5.0 in target=ps720 gsflen=80
         gsfmode=replace gsfname=stevens gaccess=sasgaedt
         gprolog='25210d0a'x hpos=80 vpos=67;
filename stevens "/cdiac/ndp/ftp/pub/ndp049/figures/ndp049r.gsf";
symbol1 i=none h=.06 in v=dot ;
symbol2 i=none h=.06 in v=circle;
symbol3 i=none h=.06 in v=dot ;
symbol4 i=none h=.06 in v=circle;
data ndp049(keep=time c13n c13s);
  infile '/cdiac/ndp/ftp/pub/ndp049/ndp049.dat';
  if _n_=1 then input ////// cmonth $ 1-2 cday $ 4-5 cyear $ 7-8 nsamp $ 11
    @14 locn $char26. @42 lat $char9. hemi $ 50 @53 lon $char11. amonth $ 66-67
    aday $ 69-70 ayear $ 72-73 aflag $ 75 @78 conc 5.3 @85 c13meas 6.2
    oflag $ 92 @95 c13corr 6.2 avcode $ 102-103;
  else input cmonth $ 1-2 cday $ 4-5 cyear $ 7-8 nsamp $ 11 @14 locn $char26.
    @42 lat $char9. hemi $ 50 @53 lon $char11. amonth $ 66-67 aday $ 69-70 ayear $ 72-73
    aflag $ 75 @78 conc 5.3 @85 c13meas 6.2 oflag $ 92 @95 c13corr 6.2
    avcode $ 102-103;
  if c13corr gt 900 and c13meas gt 900 then delete;
  else if c13corr lt 900 then c13=c13corr;
  else if c13corr gt 900 and c13meas lt 900 then c13=c13meas;
  if aflag='R' then delete;
  if oflag='*' then delete;
  if cyear ne 80 and cyear ne 84 and cyear ne 88 then do;
    total=365;
    if cmonth=1 then add=0;
    if cmonth=2 then add=31;
    if cmonth=3 then add=59;
    if cmonth=4 then add=90;
    if cmonth=5 then add=120;
    if cmonth=6 then add=151;
    if cmonth=7 then add=181;
    if cmonth=8 then add=212;
    if cmonth=9 then add=243;
    if cmonth=10 then add=273;
    if cmonth=11 then add=304;
    if cmonth=12 then add=334;
  end;
  else if cyear=80 or cyear=84 or cyear=88 then do;
    total=366;
    if cmonth=1 then add=0;
    if cmonth=2 then add=31;
    if cmonth=3 then add=60;
    if cmonth=4 then add=91;
    if cmonth=5 then add=121;
    if cmonth=6 then add=152;
    if cmonth=7 then add=182;
    if cmonth=8 then add=213;
    if cmonth=9 then add=244;
    if cmonth=10 then add=274;
    if cmonth=11 then add=305;
    if cmonth=12 then add=335;
  end;
  julday=cday+add;
  frac=julday/total;
  time=1900+cyear+frac;
  if hemi='N' then do;
    c13n=c13; c13s=.;
  end;
  else if hemi='S' then do;
    c13s=c13; c13n=.;
  end;
proc sort data=ndp049;
  by time;
data symbols;
  input time nsym ssym;
  cards;
 1979 -46.27 .
 1979 . -46.52
;
data all;
 merge ndp049 symbols;
 by time;
data legend;
length function $ 8 text $ 20;
hsys='4'; xsys='2'; ysys='2';
function = 'label';x=1979.5;y=-46.25;style='triplex';size=2.6;position='6';
            text='Northern Hemisphere';output;
function = 'label';x=1979.5;y=-46.50;style='triplex';size=2.6;position='6';
            text='Southern Hemisphere';output;
footnote1 m=(3.5,27.5) a=90 h=.15 in f=cgreek 'd' f=triplex m=(-.7,+0)
  h=.09 in '13' m=(+.7,+0) h=.15 in 'C (per mil)';
proc gplot data=all anno=legend;
  axis1 label=(a=90 h=0.15 in ' ') value=(h=0.12 in) order=(-49 to -46 by 1)
     offset=(.10 in, .03 in) major=(w=10 h=.08 in) minor=(n=3 w=10 h=.04 in)
     width=10;
  axis2 label=(h=0.15 in 'Year') order=(1978 to 1990 by 2)
     value=(h=0.12 in) major=(w=10 h=.08 in) minor=(n=1 w=10 h=.04 in)
     offset=(0.08 in, .03 in) width=10;
  plot (c13n c13s nsym ssym)*time / overlay haxis=axis2 vaxis=axis1;
run;
